Subject: Re: Quote from article on Palin I found interesting
From: "Mike" <[email-masked]>
To: "Edstrom, Scott \(DIT\)" <[email-masked]>
Date: Wed, 12 Nov 2008 07:56:55 -0500

Wow.  I only wish I could express my thoughts as well as this lady has.  I concur!  Could she have put it more eloquently?
Thanks,
Mike
  ----- Original Message ----- 
  From: Edstrom, Scott (DIT) 
  To: Mike ; Edstrom, Steve ; [email-masked] ; [email-masked] 
  Sent: Wednesday, November 12, 2008 7:33 AM
  Subject: Quote from article on Palin I found interesting

  Article from Camille Paglia on Why those on the left have irrational hatred for Palin.

  http://www.salon.com/opinion/paglia/2008/11/12/palin/index1.html

  "Liberal Democrats are going to wake up from their sadomasochistic, anti-Palin orgy with a very big hangover. The evil genie released during this sorry episode will not so easily go back into its bottle. A shocking level of irrational emotionalism and at times infantile rage was exposed at the heart of current Democratic ideology -- contradicting Democratic core principles of compassion, tolerance and independent thought. One would have to look back to the Eisenhower 1950s for parallels to this grotesque lock-step parade of bourgeois provincialism, shallow groupthink and blind prejudice.

  I like Sarah Palin, and I've heartily enjoyed her arrival on the national stage. As a career classroom teacher, I can see how smart she is -- and quite frankly, I think the people who don't see it are the stupid ones, wrapped in the fuzzy mummy-gauze of their own worn-out partisan dogma. So she doesn't speak the King's English -- big whoop! There is a powerful clarity of consciousness in her eyes. She uses language with the jumps, breaks and rippling momentum of a be-bop saxophonist. I stand on what I said (as a staunch pro-choice advocate) in my last two columns -- that Palin as a pro-life wife, mother and ambitious professional represents the next big shift in feminism. Pro-life women will save feminism by expanding it, particularly into the more traditional Third World."

   

  Scott R. Edstrom

  Information Technology Analyst

  Michigan Department of Information Technology

  Infrastructure Services Server Group 3

  Technical Services

  Server Team 8

  [email-masked]

  Desk: 517-636-0675

  P Please consider the environment before printing this email.